## edu.stanford.nlp.trees
Class CompositeTreeTransformer

    java.lang.Object
      edu.stanford.nlp.trees.CompositeTreeTransformer

All Implemented Interfaces:
  TreeTransformer

    public class CompositeTreeTransformer

extends Object
implements TreeTransformer

A TreeTransformer that applies component TreeTransformers in order. The order in which they are applied is the order in which they are added or the order in which they appear in the List passed to the constructor.

Author:
  Galen Andrew

Constructor Summary
`CompositeTreeTransformer()`
`CompositeTreeTransformer(List<TreeTransformer> tt)`

Method Summary
`void` `addTransformer(TreeTransformer tt)`
`Tree` `transformTree(Tree t)` Does whatever one needs to do to a particular tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeTreeTransformer

    public CompositeTreeTransformer()

### CompositeTreeTransformer

    public CompositeTreeTransformer(List<TreeTransformer> tt)

Method Detail

### addTransformer

    public void addTransformer(TreeTransformer tt)

### transformTree

    public Tree transformTree(Tree t)

  Description copied from interface: `TreeTransformer`
  Does whatever one needs to do to a particular tree. This routine is passed a whole `Tree`, and could itself work recursively, but the canonical usage is to invoke this method via the `Tree.transform()` method, which will apply the transformer in a bottom-up manner to each local `Tree`, and hence the implementation of `TreeTransformer` should merely examine and change a local (one-level) `Tree`.

  Specified by:
    `transformTree` in interface `TreeTransformer`
  Parameters:
    `t` - A tree. Classes implementing this interface can assume that the tree passed in is not `null`.
  Returns:
    the transformed `Tree`

Stanford NLP Group